searchData={"items":[{"type":"extras","title":"unite","doc":"unite \n\n \n   \n     \n   \n   \n     \n   \n   \n   \n     \n   \n \n\n \n  Pretty EUnit test formatters","ref":"readme.html"},{"type":"extras","title":"Installation & Usage - unite","doc":"Add Unite as a dependency in your `rebar.config` and enable the Unite formatter:\n\n```erlang\n{profiles, [\n    {test, [\n        {deps, [unite]},\n        {eunit_opts, [no_tty, {report, {unite_compact, []}}]}\n    ]}\n]}.\n\n```\n\nUsing `no_tty` is important, because it disables the standard EUnit output.\n\nThen just run Rebar 3 as usual: `rebar3 eunit`.\n\n#","ref":"readme.html#installation-usage"},{"type":"extras","title":"Profiling - unite","doc":"To get timings of long running tests, add `profile` to the option list:\n\n```erlang\n{eunit_opts, [no_tty, {report, {unite_compact, [profile]}}]}.\n```\n\nThis will show the top 10 slowest tests (or the top N slowest tests if\n`{profile, N}` is used).","ref":"readme.html#profiling"},{"type":"extras","title":"Donations - unite","doc":"If you or your company use Unite and find it useful, [donations](https://github.com/sponsors/eproxus) are greatly appreciated!","ref":"readme.html#donations"},{"type":"extras","title":"The MIT License (MIT)","doc":"The MIT License (MIT)\n=====================\n\nCopyright © `2022` `Adam Lindberg`\n\nPermission is hereby granted, free of charge, to any person\nobtaining a copy of this software and associated documentation\nfiles (the “Software”), to deal in the Software without\nrestriction, including without limitation the rights to use,\ncopy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the\nSoftware is furnished to do so, subject to the following\nconditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\nHOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\nFROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\nOTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog], and this project adheres to\n[Semantic Versioning].\n\n# Change Log\n\n## [Unreleased]\n\n## [0.4.1] - 2023-09-04\n\n#","ref":"changelog.html"},{"type":"extras","title":"Fixed - Change Log","doc":"- Fix crashing when formatting term diffs containing `~` control sequences\n\n## [0.4.0] - 2022-11-29\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Change Log","doc":"- Print test case timeouts with message and stack trace\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Change Log","doc":"- Drop support for Erlang/OTP 18, 19 and 20 (because of lack of error\n  formatting APIs)\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Change Log","doc":"- Partial workaround for EUnit incorrectly reporting the wrong number of\n  cancelled cases\n\n## [0.3.2] - 2022-02-22\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Change Log","doc":"- Drop support for Erlang R15, R16 and 17.0 (because of deprecated time APIs)\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Change Log","doc":"- Fixed header formatting inconsistencies\n- Stack traces containing io:format control sequences now print correctly\n\n## [0.3.1] - 2018-07-12\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Change Log","doc":"- Print something when no tests are run [\\#13](https://github.com/eproxus/unite/issues/13)\n- Enable backwards compatibility to R15 [\\#12](https://github.com/eproxus/unite/issues/12)\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Fixed - Change Log","doc":"- Crash on OTP 21 [\\#19](https://github.com/eproxus/unite/issues/19)\n- Crash in `format\\_macro\\_string` when attempting to pretty-print guard from `?assertMatch` [\\#14](https://github.com/eproxus/unite/issues/14)\n- Do not attempt to pretty-print expressions that cannot be parsed [\\#15](https://github.com/eproxus/unite/pull/15) ([jonathanperret](https://github.com/jonathanperret))\n\n## [0.3.0] - 2017-10-20\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Change Log","doc":"- Print text when no tests are run ([60cd086](https://github.com/eproxus/unite/commit/60cd086f2aac123988f5c1f5aa0a28df57e9c5fa))\n- Support old time API for pre-18 versions ([998df2a](https://github.com/eproxus/unite/commit/998df2a2eb169fda13fae7f4739d46e2809ff7a2))\n\n## [0.2.0] - 2017-09-12\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Added - Change Log","doc":"- Show relative paths in stack traces [\\#11](https://github.com/eproxus/unite/issues/11)\n- Support OTP 18 [\\#6](https://github.com/eproxus/unite/pull/6) ([knutin](https://github.com/knutin))\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Fixed - Change Log","doc":"- Fix crash on unhandled case clause [\\#10](https://github.com/eproxus/unite/pull/10) ([binarytemple](https://github.com/binarytemple))\n- Fix spontaneous errors on strange testcase reports [\\#5](https://github.com/eproxus/unite/pull/5) ([keynslug](https://github.com/keynslug))\n\n## [v0.0.1] - 2015-08-25\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Fixed - Change Log","doc":"- io:columns\\(\\) can return {error, enotsup} when run from an editor [\\#1](https://github.com/eproxus/unite/issues/1)\n- Fix for older Erlang version [\\#2](https://github.com/eproxus/unite/pull/2) ([JonGretar](https://github.com/JonGretar))\n\n\n[Unreleased]: https://github.com/eproxus/unite/compare/v0.4.1...HEAD\n[0.4.1]: https://github.com/eproxus/unite/compare/v0.4.0...v0.4.1\n[0.4.0]: https://github.com/eproxus/unite/compare/v0.3.2...v0.4.0\n[0.3.2]: https://github.com/eproxus/unite/compare/v0.3.1...v0.3.2\n[0.3.1]: https://github.com/eproxus/unite/compare/v0.3.0...v0.3.1\n[0.3.0]: https://github.com/eproxus/unite/compare/v0.2.0...v0.3.0\n[0.2.0]: https://github.com/eproxus/unite/compare/v0.0.1...v0.2.0\n[0.0.1]: https://github.com/eproxus/unite/compare/048e7e0e84c34d06426a4d952973df7df307391a...v0.0.1\n\n[Keep a Changelog]: https://keepachangelog.com/en/1.0.0/\n[Semantic Versioning]: https://semver.org/spec/v2.0.0.html","ref":"changelog.html#fixed"}],"content_type":"text/plain"}